Subject: [netmod] more Questions about draft-ietf-netmod-acl-model-03

From: Linda Dunbar <[email-masked]>
Date: Thu, 24 Sep 2015 20:51:45 +0000

Dean, et al,

I have a few questions about the draft:

1.      Does the following statement in the Section 7 IANA Consideration make  "ietf-acl" equivalent to the long name "urn:ietf:params:xml:ns:yang:ietf-access-control-list"?

urn:ietf:params:xml:ns:yang:ietf-access-control-list prefix: ietf-acl

If the answer is YES, can the example in Section 4.3 can use "ietf-acl" directly instead of the long name?
i.e.
 <access-lists "urn:ietf:params:xml:ns:yang:ietf-acl:1.0">

Does the "1" in ":1.0" above mean "yang-version 1" defined in the "module ietf-access-control-list"?  what about the "0" a?

2.      The beginning of the module has "prefix acl". Does it mean that "acl" is equivalent to "ietf-access-control-list"?

<CODE BEGINS>file "[email-masked]"
module ietf-access-control-list {
yang-version 1;
namespace "urn:ietf:params:xml:ns:yang:ietf-access-control-list";
prefix acl;

3.      With "prefix acl" listed right after the "namespace", does the acl in "ietf-acl:acl" (in Appendix A.1) actually mean the whole name space?

Thanks, Linda

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Thu, 24 Sep 2015 23:29:39 +0200

> urn:ietf:params:xml:ns:yang:ietf-access-control-list prefix: ietf-acl

No. See RFC 6020 sections 7.1.3 and 7.1.4 how 'namespace' and 'prefix'
statements work. The IANA section only registers the values declared
in the YANG modules.
 
>  <access-lists "urn:ietf:params:xml:ns:yang:ietf-acl:1.0">

The example does not match the YANG definition, it is broken.

> Does the "1" in ":1.0" above mean "yang-version 1" defined in the "module ietf-access-control-list"?  what about the "0" a?

The :1.0 likely should not be there. There is not tagging of the YANG
language version used to define the data model in the payload.

> 2.      The beginning of the module has "prefix acl". Does it mean that "acl" is equivalent to "ietf-access-control-list"?

Essentially yes.
 
> 3.      With "prefix acl" listed right after the "namespace", does the acl in "ietf-acl:acl" (in Appendix A.1) actually mean the whole name space?

If you have in a YANG module

   import <some-module> {
     prefix foo;
   }

then you can refer to <something> defined in <some-module> via

   foo:<something>

but if you declare the namespace of the module you are defining an
a prefix for it, that is

   module <my-module> {
     namespace <my-vey-longer-namespace>;
     prefix bar;

   }

and I (a) suggest that modules importing <my-module> should use the
prefix 'bar' and (b) I allow to refer inside <my-module> to things
defined in <my-module> using the prefix 'bar:' (which is however
usually not needed since you can simply omit the prefix for anything
locally defined).

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Dean Bogdanovic <[email-masked]>
Date: Thu, 24 Sep 2015 22:33:20 -0400

> On Sep 24, 2015, at 5:29 PM, Juergen Schoenwaelder <[email-masked]> wrote:
> 
> language version used to define the data model in the payload

We have used pyang with -f sample-xml-skeleton and then updated it with the example info. I’ll update the pyang compiler and redo the output. 

Dean
> .
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod